namespace "kegg" do

  def save_link(db1, entry1, db2, entry2, link = nil)
    #save_line_in_linkdb(db1, entry1, db2, entry2, link)
    save_line_in_tabfile(db1, entry1, db2, entry2, link)
    STDERR.print "."
  end

  def save_line_in_linkdb(db1, entry1, db2, entry2, link)
    hash = {
      :db1 => db1,
      :entry1 => entry1,
      :db2 => db2,
      :entry2 => entry2,
      :link => link,
    }
    Linkdb.create(hash)
  end

  def save_line_in_tabfile(db1, entry1, db2, entry2, link)
    id = ""
    comment = ""
    puts [id, db1, entry1, db2, entry2, link, comment].map{|x| x.to_s}.join("\t")
  end

  desc "Load all KEGG databases"
  task :load_all => [
    :load_category,
    :load_genome,
    :load_genes,
    :load_ortholog,
    :load_enzyme,
    :load_compound,
    :load_drug,
    :load_glycan,
    :load_pathway,
  ]

end

