namespace "kegg" do
  desc "Load KEGG DRUG database"
  task :load_drug => :environment do
    STDERR.puts "\n>>> begin (load_drug)"

    ActiveRecord::Base.transaction do
      Bio::FlatFile.open(KEGG_CONFIG::DRUG_FILE).each do |entry|
        dr = entry.entry_id
        STDERR.puts "\n#{dr}"

        hash = {
          :entry     => dr,
          :name      => entry.names,
          :formula   => entry.formula,
          :mass      => entry.mass,
          :activity  => entry.activity,
          :remark    => entry.remark,
          :comment   => entry.comment,
          :kcf       => entry.kcf,
        }
        Drug.create(hash)

        # linkdb
        entry.pathways.each do |line|
          if name = line[/PATH:\s*(\S+)/, 1]
            save_link("dr", dr, "path", name)
          end
        end

        entry.dblinks.each do |line|
          db, list = line.match(/([^:]+):\s*(\S+)/).to_a.values_at(1, 2)
          if db
            list.split(/\s+/).each do |name|
              save_link("dr", dr, db, name, "external")
            end
          end
        end
      end
    end
    STDERR.puts "\n>>> end (load_drug)"
  end
end
