namespace "kegg" do
  desc "Load KEGG GENOME database"
  task :load_genome => :environment do
    STDERR.puts "\n>>> begin (load_genome)"

    ActiveRecord::Base.transaction do
      Bio::FlatFile.open(KEGG_CONFIG::GENOME_FILE).each do |entry|
        org = entry.entry_id
        STDERR.puts org

        hash = {
          :entry      => org,
          :name       => entry.name,
          :definition => entry.definition,
          :taxonomy   => entry.taxid,
          :lineage    => entry.lineage,
          :disease    => entry.disease,
        }
        Genome.create(hash)

        # TODO:
        #   taxid = taxonomy.sub(/TAX:/, '')
        #   chromosomes
        #   plasmids
        #   statistics
        #   reference
      end
    end

    STDERR.puts "\n>>> end (load_genome)"
  end
end
