namespace "kegg" do

  desc "Load KEGG ORTHOLOG database"
  task :load_ortholog => :environment do
    STDERR.puts "\n>>> begin (load_ortholog)"

    ActiveRecord::Base.transaction do
      Bio::FlatFile.open(KEGG_CONFIG::ORTHOLOG_FILE).each do |entry|
        ko = entry.entry_id
        STDERR.puts "\n#{ko}"

        hash = {
          :entry       => ko,
          :name        => entry.name,
          :definition  => entry.definition,
        }
        Ortholog.create(hash)

        # linkdb

        # CLASS
        entry.pathways.each do |name|
          save_link("ko", ko, "path", name)
        end

        # DBLINKS
        entry.dblinks.each do |line|
          db, list = line.match(/([^:]+):\s*(\S+)/).to_a.values_at(1, 2)
          if db
            list.split(/\s+/).each do |name|
              save_link("ko", ko, db, name, "external")
            end
          end
        end

        # GENES
        entry.genes.each do |line|
          org, list = line.match(/([^:]+):\s*(\S+)/).to_a.values_at(1, 2)
          if org
            list.split(/\s+/).each do |name|
              save_link("ko", ko, org, name, "genes")
            end
          end
        end

      end
    end

    STDERR.puts "\n>>> end (load_ortholog)"
  end
end

