namespace "kegg" do
  module KEGG_CONFIG

    desc "Show configurations of KEGG files"
    task :show_config => :environment do
      puts "Configure following parameters in 'lib/kegg_config.rb'"

      # load_category
      puts "CATEGORY_DIR = #{CATEGORY_DIR.pretty_inspect}"
      puts "CATEGORY_FILES = #{CATEGORY_FILES.pretty_inspect}"

      # for ligand
      puts "LIGAND_DIR = #{LIGAND_DIR.pretty_inspect}"

      # load_compound
      puts "COMPOUND_FILE = #{COMPOUND_FILE.pretty_inspect}"

      # load_enzyme
      puts "ENZYME_FILE = #{ENZYME_FILE.pretty_inspect}"

      # load_drug
      puts "DRUG_FILE = #{DRUG_FILE.pretty_inspect}"

      # laod_glycan
      puts "GLYCAN_FILE = #{GLYCAN_FILE.pretty_inspect}"
      
      # load_genome
      puts "GENOME_DIR = #{GENOME_DIR.pretty_inspect}"
      puts "GENOME_FILE = #{GENOME_FILE.pretty_inspect}"

      # load_genes
      puts "GENES_DIR = #{GENES_DIR.pretty_inspect}"
      puts "GENES_FILES = #{GENES_FILES.pretty_inspect}"

      # load_ortholog
      puts "ORTHOLOG_DIR = #{ORTHOLOG_DIR.pretty_inspect}"
      puts "ORTHOLOG_FILE = #{ORTHOLOG_FILE.pretty_inspect}"

      # load_pathway
      puts "KGML_DIR = #{KGML_DIR.pretty_inspect}"
      puts "KGML_ORG_DIRS = #{KGML_ORG_DIRS.pretty_inspect}"
    end

  end
end
